com.genesyslab.wfm7.API.service.scheduleTrade750

## Class SchTradeProposal

- java.lang.Object
- - com.genesyslab.wfm7.API.service.scheduleTrade750.SchTradeProposal

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeProposal
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Trade Proposal
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `gswAgentId` Proposing Agent ID
    `private int` | `gswPersonalAgentId` The ID of the Agent to whom the personal proposal is sent (zero for community).
    `private java.lang.String` | `wmComments` Comments
    `private double[]` | `wmDays` Dates of day schedules in trade proposal `OleDateTime`
    `private int` | `wmDaysNSizeIs` Number of elements in "wmDays" array
    `private double` | `wmExpireDateTime` Date and time when proposal will expire.
    `private int` | `wmHandshakeType` Indicator of one-way or two-way handshake being required `ESchTradeHandshakeType`
    `private int` | `wmPaidMinutes` Total paid minutes in proposal agent days
    `private int` | `wmSiteId` Site ID
    `private int` | `wmStatus` Status of proposal `SchTradeProposalStatus`
    `private double` | `wmSubmitDateTime` Date and time when proposal was posted in site time zone.
    `private int` | `wmTradeProposalId` Proposal ID
    `private int` | `wmType` Type of proposal (Personal or Community) `ESchTradeHandshakeType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeProposal()`
    `SchTradeProposal(int wmTradeProposalId, int wmSiteId, int gswAgentId, int wmType, int gswPersonalAgentId, int wmHandshakeType, double wmSubmitDateTime, double wmExpireDateTime, int wmStatus, java.lang.String wmComments, int wmPaidMinutes, int wmDaysNSizeIs, double[] wmDays)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGswAgentId()` Gets the gswAgentId value for this SchTradeProposal.
    `int` | `getGswPersonalAgentId()` Gets the gswPersonalAgentId value for this SchTradeProposal.
    `java.lang.String` | `getWmComments()` Gets the wmComments value for this SchTradeProposal.
    `double[]` | `getWmDays()` Gets the wmDays value for this SchTradeProposal.
    `int` | `getWmDaysNSizeIs()` Gets the wmDaysNSizeIs value for this SchTradeProposal.
    `double` | `getWmExpireDateTime()` Gets the wmExpireDateTime value for this SchTradeProposal.
    `int` | `getWmHandshakeType()` Gets the wmHandshakeType value for this SchTradeProposal.
    `int` | `getWmPaidMinutes()` Gets the wmPaidMinutes value for this SchTradeProposal.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this SchTradeProposal.
    `int` | `getWmStatus()` Gets the wmStatus value for this SchTradeProposal.
    `double` | `getWmSubmitDateTime()` Gets the wmSubmitDateTime value for this SchTradeProposal.
    `int` | `getWmTradeProposalId()` Gets the wmTradeProposalId value for this SchTradeProposal.
    `int` | `getWmType()` Gets the wmType value for this SchTradeProposal.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this SchTradeProposal.
    `void` | `setGswPersonalAgentId(int gswPersonalAgentId)` Sets the gswPersonalAgentId value for this SchTradeProposal.
    `void` | `setWmComments(java.lang.String wmComments)` Sets the wmComments value for this SchTradeProposal.
    `void` | `setWmDays(double[] wmDays)` Sets the wmDays value for this SchTradeProposal.
    `void` | `setWmDaysNSizeIs(int wmDaysNSizeIs)` Sets the wmDaysNSizeIs value for this SchTradeProposal.
    `void` | `setWmExpireDateTime(double wmExpireDateTime)` Sets the wmExpireDateTime value for this SchTradeProposal.
    `void` | `setWmHandshakeType(int wmHandshakeType)` Sets the wmHandshakeType value for this SchTradeProposal.
    `void` | `setWmPaidMinutes(int wmPaidMinutes)` Sets the wmPaidMinutes value for this SchTradeProposal.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this SchTradeProposal.
    `void` | `setWmStatus(int wmStatus)` Sets the wmStatus value for this SchTradeProposal.
    `void` | `setWmSubmitDateTime(double wmSubmitDateTime)` Sets the wmSubmitDateTime value for this SchTradeProposal.
    `void` | `setWmTradeProposalId(int wmTradeProposalId)` Sets the wmTradeProposalId value for this SchTradeProposal.
    `void` | `setWmType(int wmType)` Sets the wmType value for this SchTradeProposal.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmTradeProposalId

          private int wmTradeProposalId

      Proposal ID

    - #### wmSiteId

          private int wmSiteId

      Site ID

    - #### gswAgentId

          private int gswAgentId

      Proposing Agent ID

    - #### wmType

          private int wmType

      Type of proposal (Personal or Community) `ESchTradeHandshakeType`

    - #### gswPersonalAgentId

          private int gswPersonalAgentId

      The ID of the Agent to whom the personal proposal is sent (zero for community).

    - #### wmHandshakeType

          private int wmHandshakeType

      Indicator of one-way or two-way handshake being required `ESchTradeHandshakeType`

    - #### wmSubmitDateTime

          private double wmSubmitDateTime

      Date and time when proposal was posted in site time zone. `OleDateTime`

    - #### wmExpireDateTime

          private double wmExpireDateTime

      Date and time when proposal will expire. `OleDateTime`

    - #### wmStatus

          private int wmStatus

      Status of proposal `SchTradeProposalStatus`

    - #### wmComments

          private java.lang.String wmComments

      Comments

    - #### wmPaidMinutes

          private int wmPaidMinutes

      Total paid minutes in proposal agent days

    - #### wmDaysNSizeIs

          private int wmDaysNSizeIs

      Number of elements in "wmDays" array

    - #### wmDays

          private double[] wmDays

      Dates of day schedules in trade proposal `OleDateTime`

  - ### Constructor Detail

    - #### SchTradeProposal

          public SchTradeProposal()

    - #### SchTradeProposal

          public SchTradeProposal(int wmTradeProposalId,
                          int wmSiteId,
                          int gswAgentId,
                          int wmType,
                          int gswPersonalAgentId,
                          int wmHandshakeType,
                          double wmSubmitDateTime,
                          double wmExpireDateTime,
                          int wmStatus,
                          java.lang.String wmComments,
                          int wmPaidMinutes,
                          int wmDaysNSizeIs,
                          double[] wmDays)

  - ### Method Detail

    - #### getWmTradeProposalId

          public int getWmTradeProposalId()

      Gets the wmTradeProposalId value for this SchTradeProposal.
      Returns:
        wmTradeProposalId

    - #### setWmTradeProposalId

          public void setWmTradeProposalId(int wmTradeProposalId)

      Sets the wmTradeProposalId value for this SchTradeProposal.
      Parameters:
        `wmTradeProposalId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this SchTradeProposal.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this SchTradeProposal.
      Parameters:
        `wmSiteId` -

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this SchTradeProposal.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this SchTradeProposal.
      Parameters:
        `gswAgentId` -

    - #### getWmType

          public int getWmType()

      Gets the wmType value for this SchTradeProposal.
      Returns:
        wmType

    - #### setWmType

          public void setWmType(int wmType)

      Sets the wmType value for this SchTradeProposal.
      Parameters:
        `wmType` -

    - #### getGswPersonalAgentId

          public int getGswPersonalAgentId()

      Gets the gswPersonalAgentId value for this SchTradeProposal.
      Returns:
        gswPersonalAgentId

    - #### setGswPersonalAgentId

          public void setGswPersonalAgentId(int gswPersonalAgentId)

      Sets the gswPersonalAgentId value for this SchTradeProposal.
      Parameters:
        `gswPersonalAgentId` -

    - #### getWmHandshakeType

          public int getWmHandshakeType()

      Gets the wmHandshakeType value for this SchTradeProposal.
      Returns:
        wmHandshakeType

    - #### setWmHandshakeType

          public void setWmHandshakeType(int wmHandshakeType)

      Sets the wmHandshakeType value for this SchTradeProposal.
      Parameters:
        `wmHandshakeType` -

    - #### getWmSubmitDateTime

          public double getWmSubmitDateTime()

      Gets the wmSubmitDateTime value for this SchTradeProposal.
      Returns:
        wmSubmitDateTime

    - #### setWmSubmitDateTime

          public void setWmSubmitDateTime(double wmSubmitDateTime)

      Sets the wmSubmitDateTime value for this SchTradeProposal.
      Parameters:
        `wmSubmitDateTime` -

    - #### getWmExpireDateTime

          public double getWmExpireDateTime()

      Gets the wmExpireDateTime value for this SchTradeProposal.
      Returns:
        wmExpireDateTime

    - #### setWmExpireDateTime

          public void setWmExpireDateTime(double wmExpireDateTime)

      Sets the wmExpireDateTime value for this SchTradeProposal.
      Parameters:
        `wmExpireDateTime` -

    - #### getWmStatus

          public int getWmStatus()

      Gets the wmStatus value for this SchTradeProposal.
      Returns:
        wmStatus

    - #### setWmStatus

          public void setWmStatus(int wmStatus)

      Sets the wmStatus value for this SchTradeProposal.
      Parameters:
        `wmStatus` -

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the wmComments value for this SchTradeProposal.
      Returns:
        wmComments

    - #### setWmComments

          public void setWmComments(java.lang.String wmComments)

      Sets the wmComments value for this SchTradeProposal.
      Parameters:
        `wmComments` -

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the wmPaidMinutes value for this SchTradeProposal.
      Returns:
        wmPaidMinutes

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int wmPaidMinutes)

      Sets the wmPaidMinutes value for this SchTradeProposal.
      Parameters:
        `wmPaidMinutes` -

    - #### getWmDaysNSizeIs

          public int getWmDaysNSizeIs()

      Gets the wmDaysNSizeIs value for this SchTradeProposal.
      Returns:
        wmDaysNSizeIs

    - #### setWmDaysNSizeIs

          public void setWmDaysNSizeIs(int wmDaysNSizeIs)

      Sets the wmDaysNSizeIs value for this SchTradeProposal.
      Parameters:
        `wmDaysNSizeIs` -

    - #### getWmDays

          public double[] getWmDays()

      Gets the wmDays value for this SchTradeProposal.
      Returns:
        wmDays

    - #### setWmDays

          public void setWmDays(double[] wmDays)

      Sets the wmDays value for this SchTradeProposal.
      Parameters:
        `wmDays` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.